<div class='page-col-tray' {{did-insert this.setupCollapse}}>
  <div class='title d-grid'>
    <button
      class='btn btn-expand btn-light'
      {{on 'click' this.toggle}}
      type='button'
    >
      {{#if this.isOpen}}
        <FaIcon @icon='minus' class='float-end' />
      {{else}}
        <FaIcon @icon='plus' class='float-end' />
      {{/if}}
      {{this.title}}
    </button>
  </div>
  <div class='collapse'>
    <div class='card card-body'>
      <p class='paragraph'>{{this.paragraph}}</p>

      <p>
        {{#if this.hasExternalLink}}
          <a href={{this.link}} class='link'>
            {{this.linkTitle}}
          </a>
        {{/if}}

        {{#if this.hasInternalLink}}
          <LinkTo @route={{this.link}} class='link'>
            {{this.linkTitle}}
          </LinkTo>
        {{/if}}
      </p>
    </div>
  </div>
</div>